Bug 474827 - Review Request: xteddy - Tool to sit around silently, look cute, and make you smile
Review Request: xteddy - Tool to sit around silently, look cute, and make you...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 09:59 EST by Lubomir Rintel
Modified: 2008-12-28 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-28 17:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-12-05 09:59:34 EST
SPEC: http://netbsd.sk/~lkundrak/SPECS/xteddy.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/xteddy-2.0.1-1.el5.src.rpm

Description:

Xteddy is your virtual comfort when things get rough. It can do everything
a real teddy bear can do. That is, I can sit around silently, look cute,
and make you smile.
Comment 1 Ralf Corsepius 2008-12-05 11:01:42 EST
%{_datadir}/xteddy is unowned.
Comment 2 Lubomir Rintel 2008-12-06 05:47:40 EST
(In reply to comment #1)
> %{_datadir}/xteddy is unowned.

Thanks.

Updated package:

SPEC: http://netbsd.sk/~lkundrak/SPECS/xteddy.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/xteddy-2.0.1-2.el5.src.rpm
Comment 3 Till Maas 2008-12-10 07:40:48 EST
Looks like a GUI application to me, therefore a .desktop file is needed.
Comment 4 Lubomir Rintel 2008-12-11 09:12:55 EST
(In reply to comment #3)
> Looks like a GUI application to me, therefore a .desktop file is needed.

That's what I initially thought too. Problem is that it can't be easilly configured from GUI:

1.) The package comes with a dozen of toy pictures that can be selected only via command-line argument (like "xteddy -Fxbrummie"). (As far as I know Debian used to have a submenu "Teddies" of "Games" menu just for selection of xteddy pictures though.)

2.) The application can't be terminated using the desktop environment easily. Correct way to terminate it is to point cursor at it and press q, which is a bit unintuitive and may confuse a casual dekstop user, which would expect it to terminate with xkill, or clicking at the task bar entry or window decoration, which xteddy doesn't have.

Given the target group of people of this is the same as of xwud or xev (which don't have desktop entries as well) -- people that tend to be familiar with use of text terminal, I don't think this should have a desktop entry.
Comment 5 Kevin Fenzi 2008-12-26 20:00:23 EST
I can take a look at reviewing this... look for a full review in a while.
Comment 6 Kevin Fenzi 2008-12-27 14:10:58 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPL+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
d33bfe05f18259a3f7fd17ae256c5644  xteddy-2.0.1.tar.gz
d33bfe05f18259a3f7fd17ae256c5644  xteddy-2.0.1.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

See below - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version

Issues: 

1. Might include: 
xteddy.README
xtuxxy.credit
as doc files?

2. Agreed on your reasoning for no desktop file... older x apps like xeyes are
in the same boat I think. Perhaps if upstream is still alive you could suggest
them making a launcher that comes up and lets people choose options? 

I don't see any further blockers here, so this package is APPROVED.
Comment 7 Lubomir Rintel 2008-12-27 17:45:48 EST
Thanks for the review!

(In reply to comment #6)
> Issues: 
> 
> 1. Might include: 
> xteddy.README
> xtuxxy.credit
> as doc files?

Yup, will do on import.

> 2. Agreed on your reasoning for no desktop file... older x apps like xeyes are
> in the same boat I think. Perhaps if upstream is still alive you could suggest
> them making a launcher that comes up and lets people choose options? 

Upstream is still alive, but I guess it will oppose the idea of launcher, since it would at least double the complexity of the package, and at least I strongly oppose it, for the reasons described above.

New Package CVS Request
=======================
Package Name: xteddy
Short Description: Tool to sit around silently, look cute, and make you smile
Owners: lkundrak
Branches: F-10 EL-5
Comment 8 Kevin Fenzi 2008-12-28 14:17:59 EST
cvs done.
Comment 9 Lubomir Rintel 2008-12-28 17:31:58 EST
Imported and built. Thanks!

Note You need to log in before you can comment on or make changes to this bug.